Package net.shibboleth.idp.attribute.resolver.spring.dc.ldap.impl

# Class CredentialConfigFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<CredentialConfig>
net.shibboleth.idp.attribute.resolver.spring.dc.ldap.impl.CredentialConfigFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<CredentialConfig>`, `InitializingBean`

public class CredentialConfigFactoryBean extends AbstractComponentAwareFactoryBean<CredentialConfig>
A Factory bean to summon up `CredentialConfig` from supplied <Credential> statements.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Credential`
`authCredential`
Our authentication credential for the LDAP connection.
`private static org.slf4j.Logger`
`log`
Class logger.
`private Credential`
`trustCredential`
The credential of the LDAP server.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`CredentialConfigFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected CredentialConfig`
`doCreateInstance()`
`Credential`
`getAuthCredential()`
Get the authentication credential for the LDAP connection.
`Class<?>`
`getObjectType()`
`Credential`
`getTrustCredential()`
Get the credential of the LDAP server.
`void`
`setAuthCredential(Credential credential)`
Set the authentication credential for the LDAP connection.
`void`
`setTrustCredential(Credential credential)`
Set the credential of the LDAP server.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private static org.slf4j.Logger log
Class logger.

### trustCredential

@Nullable private Credential trustCredential
The credential of the LDAP server.

### authCredential

@Nullable private Credential authCredential
Our authentication credential for the LDAP connection.

## Constructor Details

### CredentialConfigFactoryBean

public CredentialConfigFactoryBean()

## Method Details

### getObjectType

@Nonnull public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<CredentialConfig>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<CredentialConfig>`

### doCreateInstance

@Nonnull protected CredentialConfig doCreateInstance() throws Exception

Specified by:
  `doCreateInstance` in class `AbstractComponentAwareFactoryBean<CredentialConfig>`
Throws:
  `Exception`

### getAuthCredential

@Nullable public Credential getAuthCredential()
Get the authentication credential for the LDAP connection.

Returns:
  Returns the authnCredential.

### setAuthCredential

public void setAuthCredential(@Nullable Credential credential)
Set the authentication credential for the LDAP connection.

Parameters:
  `credential` - What to set.

### getTrustCredential

@Nullable public Credential getTrustCredential()
Get the credential of the LDAP server.

Returns:
  Returns the trustCredential.

### setTrustCredential

public void setTrustCredential(@Nullable Credential credential)
Set the credential of the LDAP server.

Parameters:
  `credential` - What to set.